curl --request PATCH \
--url https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/batch \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
{}
]
}
'import requests
url = "https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/batch"
payload = { "resources": [{}] }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({resources: [{}]})
};
fetch('https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"batchId": "<string>",
"message": "<string>",
"recordCount": 123,
"schemaDefinitionId": "<string>"
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}Batch Patch Resources
Patches multiple resources in a single batch via the event processor for asynchronous processing. Fields not included in the request are left unchanged. Null values will explicitly delete the field (required fields cannot be deleted and will return a validation error). The batch ID can be used to retrieve the status of the batch using the /api/batches/:batchId endpoint. The maximum number of resources that can be updated in a single batch is 1000.There are NO ordering guarantees across multiple batches. Within each batch, the patches for each resource are processed in the order they are received.
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The name or id of the schema definition to update the resources in
Query Parameters
Whether to allow extra fields that are not defined in the schema. If true, extra fields will be accepted but not saved. If false, requests with extra fields will be rejected.
Body
An array of resources to upload
Show child attributes
Show child attributes